Package helma.util

# Class SystemMap

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap
helma.util.SystemMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map`

public class SystemMap extends HashMap
Map class used internally by Helma. We use this class to be able to wrap maps as native objects within a scripting engine rather than exposing them through Java reflection.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`SystemMap()`
Construct an empty SystemMap.
`SystemMap(int initialCapacity)`
Construct an empty SystemMap with the given initial capacity.
`SystemMap(Map map)`
Construct a SystemMap with the contents of Map map.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`append(StringBuffer buf, Object obj)`
Display an object in a human friendly way, paying attention to avoid infinite recursion.
`String`
`toString()`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### SystemMap

public SystemMap()
Construct an empty SystemMap.

### SystemMap

public SystemMap(int initialCapacity)
Construct an empty SystemMap with the given initial capacity.

### SystemMap

public SystemMap(Map map)
Construct a SystemMap with the contents of Map map.

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `AbstractMap`
Returns:
  A String representation of this map. The returned string is similar to the one returned by java.util.HashMap.toString(), but additionally displays Object arrays in a human friendly way.

### append

protected void append(StringBuffer buf, Object obj)
Display an object in a human friendly way, paying attention to avoid infinite recursion.